View Issue Details

IDProjectCategoryView StatusLast Update
0001497SymmetricDSBugpublic2014-08-27 21:03
ReporterelongAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.10 
Target Version3.5.13Fixed in Version3.5.13 
Summary0001497: Missing primary key with Stream Lobs causes initial load to fail
DescriptionIf a primary is missing from the table, and the table includes LOB and/or float data type columns, initial loads on postgres and sqlserver (and possible others) will fail since the captured value for teh blob is null. Thus, the wheres clause tries to retreive the blob with a wheres clause that also says blob-col=null, so it retrieves nothing.
Steps To Reproduce1. Setup sync with two SQL Server databases
2. Create a table with no primary and columns including blob
3. Setup a Trigger for the table
4. Initial load the table with Stream lobs for the table set.

Expected: the data should be loaded with the blob data

Actual: the data rows are loaded, but blob data is null.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3a4a4e04

2014-01-02 17:07:53

eegeek

Details Diff
0001497: Missing primary key with Stream Lobs causes initial load to fail
0001497
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File

SymmetricDS: master 57124dc8

2014-01-02 17:13:18

eegeek

Details Diff
0001497: Missing primary key with Stream Lobs causes initial load to fail
0001497
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2013-12-19 12:53 elong New Issue
2013-12-19 12:53 elong Status new => assigned
2013-12-19 12:53 elong Assigned To => mhanes
2014-01-02 08:58 mhanes Target Version 3.5.13 => 4.0.0
2014-01-02 16:13 mhanes Summary Missing primary key prevents updates from syncing => Missing primary key with Stream Lobs causes initial load to fail
2014-01-02 16:13 mhanes Description Updated View Revisions
2014-01-02 16:13 mhanes Steps to Reproduce Updated View Revisions
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7835
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7836
2014-02-04 14:05 elong Status assigned => resolved
2014-02-04 14:05 elong Fixed in Version => 3.5.13
2014-02-04 14:05 elong Resolution open => fixed
2014-02-04 15:30 admin Target Version 4.0.0 => 3.5.13
2014-08-27 21:03 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 57124dc8
2015-07-30 21:49 Changeset attached => SymmetricDS master 3a4a4e04